if exists("loaded_themes")
  finish
endif
let loaded_themes = 1

" Vim default schemes
amenu T&hemes.D&efault.Blue :colo blue<CR>
amenu T&hemes.D&efault.DarkBlue :colo darkblue<CR>
amenu T&hemes.D&efault.Default :colo default<CR>
amenu T&hemes.D&efault.Delek :colo delek<CR>
amenu T&hemes.D&efault.Desert :colo desert<CR>
amenu T&hemes.D&efault.ElfLord :colo elflord<CR>
amenu T&hemes.D&efault.Evening :colo evening<CR>
amenu T&hemes.D&efault.Koehler :colo koehler<CR>
amenu T&hemes.D&efault.Morning :colo morning<CR>
amenu T&hemes.D&efault.Murphy :colo murphy<CR>
amenu T&hemes.D&efault.Pablo :colo pablo<CR>
amenu T&hemes.D&efault.PeachPuff :colo peachpuff<CR>
amenu T&hemes.D&efault.Ron :colo ron<CR>
amenu T&hemes.D&efault.Shine :colo shine<CR>
amenu T&hemes.D&efault.Torte :colo torte<CR>

amenu T&hemes.-s1- :

" Recommended Themes
amenu T&hemes.&Recommendations.InkPot :colo inkpot<CR>
amenu T&hemes.&Recommendations.LingoDirector :colo lingodirector<CR>
amenu T&hemes.&Recommendations.MetaCosm :colo metacosm<CR>
amenu T&hemes.&Recommendations.MidNight2 :colo midnight2<CR>
amenu T&hemes.&Recommendations.PS_Warm :let psc_style='warm'<CR>:colo ps_color<CR>
amenu T&hemes.&Recommendations.SCite :colo scite<CR>

amenu T&hemes.-s2- :

" Schemes with pure Black background.
amenu T&hemes.Blac&k.Adrian :colo adrian<CR>
amenu T&hemes.Blac&k.BillW :colo billw<CR>
amenu T&hemes.Blac&k.BlackAngus :colo black_angus<CR>
amenu T&hemes.Blac&k.BlackBeauty :colo blackbeauty<CR>
amenu T&hemes.Blac&k.BlackSea :colo blacksea<CR>
amenu T&hemes.Blac&k.Brookstream :colo brookstream<CR>
amenu T&hemes.Blac&k.Candy :colo candy<CR>
amenu T&hemes.Blac&k.Colorer :colo colorer<CR>
amenu T&hemes.Blac&k.Dante :colo dante<CR>
" Vim Dark Default is hidden, this can be used to activate it.
amenu T&hemes.Blac&k.Dark_Default :let psc_style='defdark'<CR>:colo ps_color<CR>
amenu T&hemes.Blac&k.DarkBlack :colo darkblack<CR>
amenu T&hemes.Blac&k.DarkOcean :colo darkocean<CR>
amenu T&hemes.Blac&k.FnaqEvan :colo fnaqevan<CR>
amenu T&hemes.Blac&k.Golden :colo golden<CR>
amenu T&hemes.Blac&k.Gothic :colo gothic<CR>
amenu T&hemes.Blac&k.GreyBlue :colo greyblue<CR>
amenu T&hemes.Blac&k.HHd.blue :colo hhdblue<CR>
amenu T&hemes.Blac&k.HHd.cyan :colo hhdcyan<CR>
amenu T&hemes.Blac&k.HHd.gray :colo hhdgray<CR>
amenu T&hemes.Blac&k.HHd.green :colo hhdgreen<CR>
amenu T&hemes.Blac&k.HHd.magenta :colo hhdmagenta<CR>
amenu T&hemes.Blac&k.HHd.red :colo hhdred<CR>
amenu T&hemes.Blac&k.HHd.yellow :colo hhdyellow<CR>
amenu T&hemes.Blac&k.JHDark :colo jhdark<CR>
amenu T&hemes.Blac&k.Less :colo less<CR>
amenu T&hemes.Blac&k.Manxome :colo manxome<CR>
amenu T&hemes.Blac&k.Olive :colo olive<CR>
amenu T&hemes.Blac&k.OceanBlack :colo oceanblack<CR>
amenu T&hemes.Blac&k.PS_Cool :let psc_style='cool'<CR>:colo ps_color<CR>
amenu T&hemes.Blac&k.Putty :colo putty<CR>
amenu T&hemes.Blac&k.RedBlack :colo redblack<CR>
amenu T&hemes.Blac&k.Revolutions :colo revolutions<CR>
amenu T&hemes.Blac&k.RelaxedGreen :colo relaxedgreen<CR>
amenu T&hemes.Blac&k.Sean :colo sean<CR>
amenu T&hemes.Blac&k.WintersDay :colo wintersday<CR>

" Dark Blue, or Deep Blue
amenu T&hemes.&Blue.Adaryn :colo adaryn<CR>
amenu T&hemes.&Blue.Astronaut :colo astronaut<CR>
amenu T&hemes.&Blue.BlueGreen :colo bluegreen<CR>
amenu T&hemes.&Blue.Blugrine :colo blugrine<CR>
amenu T&hemes.&Blue.Borland :colo borland<CR>
amenu T&hemes.&Blue.BorlandTurbo :colo turbo<CR>
amenu T&hemes.&Blue.Cool :colo cool<CR>
amenu T&hemes.&Blue.DarkDot :colo darkdot<CR>
amenu T&hemes.&Blue.Denim :colo denim<CR>
amenu T&hemes.&Blue.IbmEdit :colo ibmedit<CR>
amenu T&hemes.&Blue.InkPot :colo inkpot<CR>
amenu T&hemes.&Blue.Midnight :colo midnight<CR>
amenu T&hemes.&Blue.Midnight2 :colo midnight2<CR>
amenu T&hemes.&Blue.Northsky :colo northsky<CR>
amenu T&hemes.&Blue.Sea :colo sea<CR>
amenu T&hemes.&Blue.Transparent :colo transparent<CR>

" A bit lighter Blue, or greenish blue
amenu T&hemes.&Blue.Adam :colo adam<CR>
amenu T&hemes.&Cyan.Aqua :colo aqua<CR>
amenu T&hemes.&Cyan.Breeze :colo breeze<CR>
amenu T&hemes.&Cyan.Darkblue2 :colo darkblue2<CR>
amenu T&hemes.&Cyan.DarkSlateGray :colo darkslategray<CR>
amenu T&hemes.&Cyan.Dusk :colo dusk<CR>
amenu T&hemes.&Cyan.Gor :colo gor<CR>
amenu T&hemes.&Cyan.HHazure :colo hhazure<CR>
amenu T&hemes.&Cyan.Navajo-Night :colo navajo-night<CR>
amenu T&hemes.&Cyan.NightShimmer :colo nightshimmer<CR>
amenu T&hemes.&Cyan.NightWish :colo nightwish<CR>
amenu T&hemes.&Cyan.OceanDeep :colo oceandeep<CR>

" A traditional Greenish look...
amenu T&hemes.&Green.Earth :colo earth<CR>
amenu T&hemes.&Green.HHteal :colo hhteal<CR>
amenu T&hemes.&Green.Matrix :colo matrix<CR>
amenu T&hemes.&Green.RobinHood :colo robinhood<CR>

" Looks Brown or not pure Black, this is the most popular category,
" The top-two on vim.sf.net are all here.
amenu T&hemes.&Grey_Brown.BlackDust :colo blackdust<CR>
amenu T&hemes.&Grey_Brown.Camo :colo camo<CR>
amenu T&hemes.&Grey_Brown.ChocolateLiquor :colo chocolateliquor<CR>
amenu T&hemes.&Grey_Brown.Coffee :colo coffee<CR>
amenu T&hemes.&Grey_Brown.Desert :colo desert<CR>
amenu T&hemes.&Grey_Brown.HHorange :colo hhorange<CR>
amenu T&hemes.&Grey_Brown.HHspring :colo hhspring<CR>
amenu T&hemes.&Grey_Brown.MetaCosm :colo metacosm<CR>
amenu T&hemes.&Grey_Brown.Navajo :colo navajo<CR>
amenu T&hemes.&Grey_Brown.Neon :colo neon<CR>
amenu T&hemes.&Grey_Brown.UmberGreen :colo umber-green<CR>
amenu T&hemes.&Grey_Brown.Zenburn :colo zenburn<CR>

amenu T&hemes.-s3- :

" Any scheme with Violet, Magenta, Reddish Blue, or Red
amenu T&hemes.&Violet_Red.Aiseered :colo aiseered<CR>
amenu T&hemes.&Violet_Red.Asu1Dark :colo asu1dark<CR>
amenu T&hemes.&Violet_Red.Caramel :colo caramel<CR>
amenu T&hemes.&Violet_Red.EdoSea :colo edo_sea<CR>
amenu T&hemes.&Violet_Red.HHpink :colo hhpink<CR>
amenu T&hemes.&Violet_Red.HHviolet :colo hhviolet<CR>
amenu T&hemes.&Violet_Red.Lilac :colo lilac<CR>
amenu T&hemes.&Violet_Red.Mars :colo mars<CR>
amenu T&hemes.&Violet_Red.Night :colo night<CR>
amenu T&hemes.&Violet_Red.Tibet :colo tibet<CR>
amenu T&hemes.&Violet_Red.TomatoSoup :colo tomatosoup<CR>
amenu T&hemes.&Violet_Red.Xian :colo xian<CR>

" Light backgrounds which are not pure white
amenu T&hemes.&OffWhite.Autumn :colo autumn2<CR>
amenu T&hemes.&OffWhite.Bog :colo bog<CR>
amenu T&hemes.&OffWhite.Brown :colo brown<CR>
amenu T&hemes.&OffWhite.ButterCream :colo buttercream<CR>
amenu T&hemes.&OffWhite.CleanPHP :colo cleanphp<CR>
amenu T&hemes.&OffWhite.JHLight :colo jhlight<CR>
amenu T&hemes.&OffWhite.OceanLight :colo oceanlight<CR>
amenu T&hemes.&OffWhite.PapayaWhip :colo papayawhip<CR>
amenu T&hemes.&OffWhite.Python :colo python<CR>
amenu T&hemes.&OffWhite.Sand :colo sand<CR>
amenu T&hemes.&OffWhite.SeaShell :colo seashell<CR>
amenu T&hemes.&OffWhite.SF :colo sf<CR>
" Note that on a well-adjusted monitor with 6500k temperature (standard),
" #ffffff is not pure white, pure white should be less than #e8e8e8.
amenu T&hemes.&OffWhite.TAqua :colo taqua<CR>
amenu T&hemes.&OffWhite.TCSoft :colo tcsoft<CR>

" Pure White with light background
amenu T&hemes.&White.Automation :colo automation<CR>
amenu T&hemes.&White.Autumn :colo autumn<CR>
amenu T&hemes.&White.AutumnLeaf :colo autumnleaf<CR>
amenu T&hemes.&White.BioGoo :colo biogoo<CR>
amenu T&hemes.&White.BMichaelsen :colo bmichaelsen<CR>
amenu T&hemes.&White.BW :colo bw<CR>
amenu T&hemes.&White.C :colo c<CR>
amenu T&hemes.&White.ChelaLight :colo chela_light<CR>
amenu T&hemes.&White.Dawn :colo dawn<CR>
amenu T&hemes.&White.Emacs :colo emacs<CR>
amenu T&hemes.&White.FineBlue :colo fine_blue<CR>
amenu T&hemes.&White.Fog :colo fog<CR>
amenu T&hemes.&White.Fruit :colo fruit<CR>
amenu T&hemes.&White.Gobo :colo gobo<CR>
amenu T&hemes.&White.IronMan :colo ironman<CR>
amenu T&hemes.&White.LingoDirector :colo lingodirector<CR>
amenu T&hemes.&White.ModTCSoft :colo mod_tcsoft<CR>
amenu T&hemes.&White.NEdit :colo nedit<CR>
amenu T&hemes.&White.NEdit2 :colo nedit2<CR>
amenu T&hemes.&White.Nuvola :colo nuvola<CR>
amenu T&hemes.&White.PS_Warm :let psc_style='warm'<CR>:colo ps_color<CR>
amenu T&hemes.&White.PrintBW :colo print_bw<CR>
amenu T&hemes.&White.SCite :colo scite<CR>
amenu T&hemes.&White.SimpleAndFriendly :colo simpleandfriendly<CR>
amenu T&hemes.&White.Tolerable :colo tolerable<CR>
amenu T&hemes.&White.VC :colo vc<CR>
amenu T&hemes.&White.VCBC :colo vcbc<CR>
amenu T&hemes.&White.White :colo white<CR>
amenu T&hemes.&White.WhiteDust :colo whitedust<CR>
amenu T&hemes.&White.Xemacs :colo xemacs<CR>

amenu T&hemes.-s4- :

amenu T&hemes.Broken.AF\ (changes\ status\ line) :colo af<CR>
amenu T&hemes.Broken.Potts\ (changes\ font) :colo potts<CR>
amenu T&hemes.Broken.ToothPik\ (changes\ font) :colo toothpik<CR>
